Skip to content
Snippets Groups Projects
Commit b5cdcb95 authored by nimrod's avatar nimrod
Browse files

fixup! Bye bye Dojo Labs.

parent af057b93
Branches
No related tags found
No related merge requests found
#!/bin/sh
set -eu
die () {
echo "$@"
exit 1
}
command -v ip > /dev/null || die "Can't find ip."
alias ssh='ssh -o "UserKnownHostsFile /dev/null" -o "StrictHostKeyChecking no" -i "$HOME/.ssh/dojo_box_rsa" -l root -p 64222'
if [ -n "${1:-}" ]
then
gateway="$1"
else
gateway="$(ip neigh show | awk '$5 ~ /^38:b8:eb:5/ || $5 ~ /^b8:27:eb:/ {print $1}')"
[ -n "$gateway" ] || die "Can't find Dojo box IP."
fi
ssh "$gateway"
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Please register or to comment